SolrDocument::getFieldNames
SolrDocument::__isset
SolrDocument
PHP Manual

# SolrDocument::getInputDocument

(PECL solr >= 0.9.2)

SolrDocument::getInputDocument — Returns a SolrInputDocument equivalent of the object

### Description

public SolrInputDocument SolrDocument::getInputDocument ( void )

Returns a SolrInputDocument equivalent of the object. This is useful if one wishes to resubmit/update a document retrieved from a query.

### Parameters

This function has no parameters.

### Return Values

Returns a SolrInputDocument on success and `NULL` on failure.

SolrDocument::getFieldNames
SolrDocument::__isset
SolrDocument
PHP Manual